Bug 166995 - CVE-2005-2494 kcheckpass privilege escalation
CVE-2005-2494 kcheckpass privilege escalation
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kdebase (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
impact=low,reported=20050828,public=2...
: Security
Depends On:
Blocks: 180057 181409
  Show dependency treegraph
 
Reported: 2005-08-29 11:00 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2006-0582
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 15:00:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch from upstream (4.07 KB, patch)
2005-08-29 11:37 EDT, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2005-08-29 11:00:55 EDT
This text was scavanged from the KDE advisory:

KDE Security Advisory: kcheckpass local root vulnerability
Original Release Date: 2008-09-05
URL: http://www.kde.org/info/security/advisory-20050905-1.txt

0. References

        CAN-2005-FIXME

1. Systems affected:

        All KDE releases starting from KDE 3.2.0 up to including
        KDE 3.4.2.


2. Overview:

        Ilja van Sprundel from suresec.org notified the KDE
        security team about a serious lock file handling error
        in kcheckpass that can, in some configurations, be used
        to gain root access.

        In order for an exploit to succeed, the directory /var/lock
        has to be writeable for a user that is allowed to invoke
        kcheckpass.


3. Impact:

        A local user can escalate its privileges to the root user.
Comment 2 Josh Bressers 2005-08-29 11:37:02 EDT
Created attachment 118209 [details]
Proposed patch from upstream
Comment 3 Ngo Than 2005-09-01 13:29:07 EDT
i have already committed the patch into CVS, it will be included in next  
kdebase update.  
Comment 4 Mark J. Cox (Product Security) 2005-09-06 09:12:36 EDT
Public via bugtraq, removing embargo -- note we don't ship anything with
/var/lock world writeable.
Comment 5 David Eisenstein 2006-02-05 02:24:42 EST
Hi,  I am working on this bug for Fedora Legacy.  I note for the Fedora Core 4
version of this bug (Bug #166997) that you CLOSED NOTABUG on this same issue.

Are you intending to close this also NOTABUG?  Or is it remotely possible that
a sysadmin may decide, for whatever reason, to make his or her /var/lock world
writeable?

Please let me know.  Thanks.       -David
Comment 6 Josh Bressers 2006-02-05 08:17:24 EST
We won't be closing this as NOTABUG.  The previous bug should have been closed
ERRATA, I'm guessing it was a simple wrong click.  We will fix this, but not
until we have a different issue to fix in kdebase.  This issue has an impact of
"LOW", which means we won't release an update just for this particular issue.

It's unlikely anyone would have their /var/lock world writeable, but it never
hurts to err on the side of caution.
Comment 10 Xiaohong Wang 2006-07-09 22:38:05 EDT
We're relying on upstream for verification because we have no test code.
Comment 12 Red Hat Bugzilla 2006-08-10 15:00:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0582.html

Note You need to log in before you can comment on or make changes to this bug.